[NTG-context] Updating LuaTeX

Taco Hoekwater taco at elvenkind.com
Wed Mar 19 10:32:24 CET 2008



Willi Egger wrote:
> Hi,
> 
> I just tried to update context with ctxtools --updatecontext.
> 
> I receive though the following error while preparing the format-files  
> (cont-en.fmt)
> 
> (/Applications/luatex/tex/texmf-local/tex/context/base/core-inc.mkiv
> ! LuaTeX error ...luatex/tex/texmf-local/tex/context/base/core- 
> inc.lua:85: attempt to index global 'img' (a nil value).
> \ctxluabytecode ...ode " .. "#1" .. str) end end }
> 
> \registerctxluafile ...{\the \luabytecodecounter }
>                                                    \fi
> l.21 \registerctxluafile{core-inc}{1.001}
> 
> Hm, what to do?

You need a binary of luatex 0.25.0. The best way to get one is to
download the right one for your platform from the minimals

   http://minimals.contextgarden.net/current/bin/luatex/

Best wishes,
Taco


More information about the ntg-context mailing list